source: mod_gnutls/configure.ac @ 7ce01c9

debian/masterdebian/stretch-backportsjessie-backportsmsvaupstream
Last change on this file since 7ce01c9 was 41dd507, checked in by Nikos Mavrogiannopoulos <nmav@…>, 9 years ago

Released 0.5.8.

  • Property mode set to 100644
File size: 1.9 KB
RevLine 
[7bebb42]1dnl
[41dd507]2AC_INIT(mod_gnutls, 0.5.8)
[9706fc2]3OOO_CONFIG_NICE(config.nice)
[42307a9]4MOD_GNUTLS_VERSION=AC_PACKAGE_VERSION
[6e0bfd6]5AC_PREREQ(2.53)
[9706fc2]6AC_CONFIG_SRCDIR([src/mod_gnutls.c])
[6e0bfd6]7AC_CONFIG_AUX_DIR(config)
[7bebb42]8
[5a6446d]9OOO_MAINTAIN_MODE
[9706fc2]10AM_MAINTAINER_MODE
11AC_CANONICAL_TARGET
[6e0bfd6]12AM_INIT_AUTOMAKE(AC_PACKAGE_NAME, AC_PACKAGE_VERSION)
13AM_CONFIG_HEADER(include/mod_gnutls_config.h:config.in)
[9706fc2]14
[42307a9]15AC_SUBST(MOD_GNUTLS_VERSION)
[9706fc2]16
17AC_PROG_CC
18AC_PROG_LD
19AC_PROG_INSTALL
[7bebb42]20AC_PROG_LIBTOOL
[9706fc2]21
22AP_VERSION=2.0.40
23CHECK_APACHE(,$AP_VERSION,
24    :,:,
25    AC_MSG_ERROR([*** Apache version $AP_VERSION not found!])
26)
27
[7bebb42]28dnl LIBTOOL="`${APR_CONFIG} --apr-libtool`"
29dnl AC_SUBST(LIBTOOL)
[6e0bfd6]30
[bf41514]31dnl Depend on 2.10.0 due to safe renegotiation addition.
32MIN_TLS_VERSION=2.10.0
[1897a1c]33AM_PATH_LIBGNUTLS($MIN_TLS_VERSION,,
[9f37925]34        AC_MSG_ERROR([[
35*** 
[1897a1c]36*** libgnutls was not found. You may want to get it from
[9f37925]37*** http://www.gnutls.org/
38***
39]]))
[16068f4]40
[787dab7]41AC_ARG_ENABLE(srp,
42       AS_HELP_STRING([--disable-srp],
43               [unconditionally disable the SRP functionality]),
44       use_srp=$enableval, use_srp=yes)
[b072204]45
46SRP_CFLAGS=""
[787dab7]47if test "$use_srp" != "no"; then
[b072204]48        SRP_CFLAGS="-DENABLE_SRP=1"
[787dab7]49fi
50AC_MSG_CHECKING([whether to enable SRP functionality])
51AC_MSG_RESULT($use_srp)
52
[7bebb42]53dnl CHECK_LUA()
[84cb5b2]54
[6e0bfd6]55have_apr_memcache=0
56CHECK_APR_MEMCACHE([have_apr_memcache=1], [have_apr_memcache=0])
57AC_SUBST(have_apr_memcache)
[ed47098]58
[5021874]59MODULE_CFLAGS="${LIBGNUTLS_CFLAGS} ${SRP_CFLAGS} ${APR_MEMCACHE_CFLAGS} ${APXS_CFLAGS} ${AP_INCLUDES} ${APR_INCLUDES} ${APU_INCLUDES}"
60MODULE_LIBS="${APR_MEMCACHE_LIBS} ${LIBGNUTLS_LIBS}"
[9706fc2]61
62AC_SUBST(MODULE_CFLAGS)
[16068f4]63AC_SUBST(MODULE_LIBS)
[9706fc2]64
[3b83e00]65AC_CONFIG_FILES([Makefile src/Makefile include/mod_gnutls.h])
[9706fc2]66AC_OUTPUT
67
68echo "---"
[42307a9]69echo "Configuration summary for mod_gnutls:"
[9706fc2]70echo ""
[ea14e97]71echo "   * mod_gnutls version:  ${MOD_GNUTLS_VERSION}"
[16068f4]72echo "   * Apache Modules directory:    ${AP_LIBEXECDIR}"
[42307a9]73echo "   * GnuTLS Library version:      ${LIBGNUTLS_VERSION}"
[b072204]74echo "   * SRP Authentication:          ${use_srp}"
[9706fc2]75echo ""
76echo "---"
Note: See TracBrowser for help on using the repository browser.